#GIT_CMT=c2f7c496aa2ac01f4482ca0e7774300bfa8f3755

%global		_hardened_build 1

Name:		libntirpc
Version:	1.5.3
Release:    1.el6
Summary:	New Transport Independent RPC Library
Group:		System Environment/Libraries
License:	BSD
Url:		https://github.com/nfs-ganesha/ntirpc

Source0: ntirpc-1.5.3.tar.bz2

BuildRequires:	cmake
BuildRequires:	krb5-devel

%description
This package contains a new implementation of the original libtirpc, 
transport-independent RPC (TI-RPC) library for NFS-Ganesha. It has
the following features not found in libtirpc:
 1. Bi-directional operation
 2. Full-duplex operation on the TCP (vc) transport
 3. Thread-safe operating modes
 3.1 new locking primitives and lock callouts (interface change)
 3.2 stateless send/recv on the TCP transport (interface change)
 4. Flexible server integration support
 5. Event channels (remove static arrays of xprt handles, new EPOLL/KEVENT
    integration)

%package devel
Summary:	Development headers for %{name}
Requires:	%{name}%{?_isa} = %{version}

%description devel
Development headers and auxiliary files for developing with %{name}.

%prep
%setup -q -n ntirpc-%{version}

%build
%cmake . -DOVERRIDE_INSTALL_PREFIX=/usr -DTIRPC_EPOLL=1 -DUSE_GSS=ON "-GUnix Makefiles"

make %{?_smp_mflags}

%install
## make install is broken in various ways
## make install DESTDIR=%%{buildroot}
mkdir -p %{buildroot}%{_libdir}/pkgconfig
install -p -m 0755 src/%{name}.so.%{version} %{buildroot}%{_libdir}/
ln -s %{name}.so.%{version} %{buildroot}%{_libdir}/%{name}.so.1
ln -s %{name}.so.%{version} %{buildroot}%{_libdir}/%{name}.so
mkdir -p %{buildroot}%{_includedir}/ntirpc
cp -a ntirpc %{buildroot}%{_includedir}/
install -p -m 644 libntirpc.pc %{buildroot}%{_libdir}/pkgconfig/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_libdir}/libntirpc.so.*
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc NEWS README

%files devel
%{_libdir}/libntirpc.so
%{_includedir}/ntirpc/
%{_libdir}/pkgconfig/libntirpc.pc

%changelog
* Tue Dec 12 2017 Tiger Yang <tiger.yang@oracle.com> - 1.5.3-1.el6
- BUILDINFO: commit=c2f7c496aa2ac01f4482ca0e7774300bfa8f3755
- build 1.5.3 for oracle-gluster-3.12

* Mon Dec 11 2017 Tiger Yang <tiger.yang@oracle.com> - 1.5.3-1
- build 1.5.3 for oracle-gluster-3.12

* Wed Aug 30 2017 Joe Jin <joe.jin@oracle.com> - 1.4.4-1
- ntirpc: update patch level
- XDR and netbuf:  fix decoder overruns from guidovranken

* Thu Apr 13 2017 Joe Jin <joe.jin@oracle.com>  - 1.4.3-1
- Initial version
